<script type="text/javascript">
	$(document).ready(function(){
	$("#input_pb").hide();
	$("#data_detail").hide();
	
	cek_pending();
	
	function cek_pending(){
		var no = 1;
		
		$.ajax({
			type		: "POST",
			url		: "modul/pembelian/cek_data_pending.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
				$("#txt_kode").val(data.kode);
				$("#txt_tanggal").val(data.tanggal);
				$("#txt_nomorfk").val(data.nomorfk);
				$("#txt_kodesup").val(data.kodesup);
				$("#txt_namasup").val(data.namasup);
				$("#txt_tanggaljt").val(data.tanggaljt);
				$("#txt_total").val(data.total);
				var kode = $("#txt_kode").val();
				
				if(!kode==''){
					$('#input_pb').show();
					tampil_data_detail();
					hitung_total();
					$("#txt_namast").focus();
				}
				else $("#mulai").focus();
			}
		});
	}
	
	$("#mulai").click(function(){
		$(".input_detail").val('');
		$(".input_header").val('');
		cari_tgl();
	});
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
				$("#txt_tanggal").val(data.tanggal);
				$("#txt_tanggaljt").val(data.tanggal);
				$("#txt_tanggal").focus();
				cari_nomor();
			}
		});
	}
	
	function cari_nomor(){
		var tanggal = $("#txt_tanggal").val();
		var kode    = $("#txt_kodektr").val();
		
		$.ajax({
			type	: "POST",
			url		: "modul/pembelian/cari_nomor.php",
			data	: "tanggal="+tanggal+
				"&kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_kode").val(data.nomor);
				$('#input_pb').show();
				$('#data_detail').show();
				cari_nourut();
				tampil_data_detail();
			}
		});
	}
	
	function tampil_data_detail(){
		var kode = $("#txt_kode").val();
		$("#data_detail").show();
		$("#data_detail").load("modul/pembelian/tampil_data_detail.php?kode="+kode);
		$("#info_detail").show();
	}
	
	$("#txt_tanggal").keyup(function(){
		cari_nomor();
	});
	
	$("#txt_nomorfk").keyup(function(){
		var nomorfk 	= $("#txt_nomorfk").val()
		
		$.ajax({
			type	: "POST",
			url		: "modul/pembelian/cari_nofk.php",
			data	: "nomorfk="+nomorfk,
			dataType: "json",
			success	: function(data){
				$("#t_nomorfk").val(data.nofkt);
				var nofk = $("#t_nomorfk").val();
				
				if(!(nofk.length==0)){
					alert('Nomor faktur '+nomorfk+' sudah ada.')
					return (false);
				}	
			}
		});
	});
	
	$('#form_cari_sup').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});
		
	$('#txt_namasup').keyup(function(){
		$('#form_cari_sup').dialog('open');
		$("#info_supplier").load('modul/pembelian/tampil_data_sup.php');
		$("#txt_carisup").focus();
	});
	
	$('#txt_namasup').click(function(){
		$('#form_cari_sup').dialog('open');
		$("#info_supplier").load('modul/pembelian/tampil_data_sup.php');
		$("#txt_carisup").focus();
	});
	
	$("#txt_carisup").keyup(function(){
		var cari = $("#txt_carisup").val();
		
		$.ajax({
			type	: "POST",
			url		: "modul/pembelian/tampil_data_sup.php",
			data	: "cari="+cari,
			success	: function(data){
				$("#info_supplier").html(data);
			}
		});
	});
	
	function cari_nourut(){
		var kode = $("#txt_kode").val();
				
		$.ajax({
			type	: "POST",
			url		: "modul/pembelian/cari_nourut.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){				
				$("#txt_nourut").val(data.nourut);		
			}
		});
	}
	
	$('#form_cari_barang').dialog({
		autoOpen: false,
		modal	: true,
		width: 700,
	});
	
	$('#txt_namast').click(function(){
		var cari	= $("#txt_caribr").val();
		
		$("#info_barang").load('modul/pembelian/tampil_data_barang.php?cari='+cari);
		$('#form_cari_barang').dialog('open');
		$("#txt_caribr").focus();
	});
	
	$('#txt_namast').keyup(function(){
		var cari	= $("#txt_caribr").val();
		
		$("#info_barang").load('modul/pembelian/tampil_data_barang.php?cari='+cari);
		$('#form_cari_barang').dialog('open');
		$("#txt_caribr").focus();
	});
	
	$("#txt_caribr").keyup(function(){
		var cari	= $("#txt_caribr").val();
		
		$.ajax({
			type	: "POST",
			url		: "modul/pembelian/tampil_data_barang.php",
			data	: "cari="+cari,
			success	: function(data){
				$("#info_barang").html(data);				
			}
		});
	});
	
	$('#form_buat_kodebr').dialog({
		autoOpen: false,
		modal	: true,
		width: 800,
	});
		
	$('#buat_databr').click(function(){
		$('#form_buat_kodebr').dialog('open');
		$("#i_kodegr").focus();
	});
	
	$('#form_cari_gr').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});
	
	$('#cari_gr').click(function(){		
		$('#form_cari_gr').dialog('open');
		$("#txt_carigr").focus();
	});
	
	$("#txt_carigr").keyup(function(){
		var cari	= $("#txt_carigr").val();
		$.ajax({
			type	: "GET",
			url		: "modul/pembelian/tampil_data_gr.php",
			data	: "cari="+cari,
			success	: function(data){
				$("#info_gr").html(data);
			}
		});
	});
	
	$("#i_kodegr").keyup(function() {
		var kode 	= $("#i_kodegr").val()
		
		if(kode.length==2){
		$.ajax({
			type	: "POST",
			url		: "modul/inventory/cari_grup.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#i_kodegr").val(kode);				
				$("#i_namagr").val(data.namagr);
				cari_kodest();
			}
		});
		}
	});
	
	function cari_kodest(){
		var kode = $("#i_kodegr").val();
		
		$.ajax({
			type	: "POST",
			url		: "modul/inventory/cari_nomor.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#i_kodest").val(data.nomor);
				$("#i_namast").focus();
			}
		});
	}
	
	$("#simpan_br").click(function(){
		var	kodegr	= $("#i_kodegr").val();
		var	kodest	= $("#i_kodest").val();
		var	namast  = $("#i_namast").val();		
		var	satuan	= $("#i_satuan").val();		
		var	hgbeli	= $("#i_hgbeli").val();
		var	hgjual	= $("#i_hgjual").val();		
		var	minstok	= $("#i_minstok").val();
		var kodesp  = $("#txt_kodesup").val();
		var namasp  = $("#txt_namasup").val();

		if(kodegr.length == 0){
           alert("Maaf, Kode grup tidak boleh kosong");
		   $("#txt_kodegr").focus();
		   return (false);
        }
		if(kodest.length == 0){
           alert("Maaf, Kode persediaan tidak boleh kosong");
		   $("#txt_kodest").focus();
		   return (false);
        }
		if(namast.length == 0){
           alert("Maaf, Nama barang tidak boleh kosong");
		   $("#txt_namast").focus();
		   return (false);
        }
		if(satuan.length == 0){
			alert("Maaf, Satuan tidak boleh kosong");
			$("#txt_hgjual").focus();
			return (false);
        }
		if(hgbeli.length == 0){
			alert("Maaf, Harga beli tidak boleh kosong");
			$("#txt_hgbeli").focus();
			return (false);
        }
		if(hgjual.length == 0){
			alert("Maaf, Harga jual tidak boleh kosong");
			$("#txt_hgjual").focus();
			return (false);
        }
		
		$.ajax({
			type	: "POST",
			url		: "modul/inventory/simpan.php",
			data	: "kodegr="+kodegr+
					"&kodest="+kodest+
					"&namast="+namast+
					"&satuan="+satuan+
					"&minstok="+minstok+
					"&hgbeli="+hgbeli+
					"&hgjual="+hgjual+
					"&kodesp="+kodesp+
					"&namasp="+namasp,
			timeout	: 1500,
			beforeSend	: function(){		
				$("#info").html("<img src='loading.gif' />");
			},				  
			success	: function(data){
				$("#info").html(data);				
				$("#txt_kodest").val(kodest);
				$("#txt_namast").val(namast);
				$("#txt_satuan").val(satuan);
				$("#txt_hgbeli").val(hgbeli);
				$("#txt_jmlunit").focus();
			}
		});
	});
	
	$("#txt_jmlunit").keyup(function(){
		hitung_jumlah();
	});
	
	$("#txt_hgbeli").keyup(function(){		
		hitung_jumlah();
	});
		
	function hitung_jumlah(){
		var	unit	=$("#txt_jmlunit").val();
		var	hgbeli	=$("#txt_hgbeli").val();
		
		if(!(unit.length==0))
			var unit=parseFloat(unit);
		else
			var unit=0;
		
		if(!(hgbeli.length==0))
			var hgbeli=parseFloat(hgbeli);
		else
			var hgbeli=0;
		
		var	jumlah= hgbeli*unit;		
		$("#txt_jumlah").val(jumlah);		
	}
	
	$("#simpan").click(function(){
		var	kode	= $("#txt_kode").val();
		var	tanggal	= $("#txt_tanggal").val();
		var	nomorfk	= $("#txt_nomorfk").val();
		var	kodesup	= $("#txt_kodesup").val();
		var	namasup= $("#txt_namasup").val();
		var	tanggaljt= $("#txt_tanggaljt").val();
		var	nourut	= $("#txt_nourut").val();
		var	kodest	= $("#txt_kodest").val();
		var	namast	= $("#txt_namast").val();		
		var	satuan	= $("#txt_satuan").val();
		var	jmlunit	= $("#txt_jmlunit").val();
		var	hgbeli	= $("#txt_hgbeli").val();
		var	hgjual	= $("#txt_hgjual").val();
		var	jumlah	= $("#txt_jumlah").val();
		
		if(tanggal.length == 0){
           alert("Maaf, Tanggal faktur tidak boleh kosong.");
		   return (false);
        }
		if(nomorfk.length == 0){
           alert("Maaf, Nomor faktur tidak boleh kosong");
		   $("#txt_nomorfk").focus();
		   return (false);
        }
		if(kodest.length == 0){
           alert("Maaf, Kode Barang tidak boleh kosong");
		   $("#txt_kodest").focus();
		   return (false);
        }
		if(jmlunit.length == 0){
           alert("Maaf, Jumlah barang tidak boleh kosong");
		   $("#txt_jmlunit").focus();
		   return (false);
        }
		
		$.ajax({
			type	: "POST",
			url		: "modul/pembelian/simpan.php",
			data	: "kode="+kode+
					"&tanggal="+tanggal+
					"&nomorfk="+nomorfk+
					"&kodesup="+kodesup+
					"&namasup="+namasup+
					"&tanggaljt="+tanggaljt+
					"&nourut="+nourut+
					"&kodest="+kodest+
					"&namast="+namast+
					"&jmlunit="+jmlunit+
					"&satuan="+satuan+
					"&hgbeli="+hgbeli+
					"&hgjual="+hgjual+
					"&jumlah="+jumlah,
			timeout	: 1500,
			beforeSend	: function(){		
				$("#info").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info").html(data);
				$(".input_detail").val('');
				cari_nourut();
				tampil_data_detail();
				hitung_total();
			}
		});
	});
	
	function hitung_total(){
		var	kode= $("#txt_kode").val();
		
		$.ajax({
			type	: "POST",
			url		: "modul/pembelian/cari_total.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_total").val(data.total);
				$("#txt_namast").focus();
			}
		});
	}

	$("#txt_potong").keyup(function(){
		hitung_bayar();
	});
	
	$("#txt_bayar").keyup(function(){
		hitung_bayar();
	});

	function hitung_bayar(){
		var total 	= $("#txt_total").val();
		var potong	= $("#txt_potong").val();
		var bayar 	= $("#txt_bayar").val();
		
		if(potong=='') var npotong = 0;
		else var npotong = parseFloat(potong);
		var netto		= total-npotong;
		
		if(bayar=='') var nbayar = 0;
		else var nbayar = parseFloat(bayar);
		
		if(nbayar>netto){
			alert('Maaf, jumlah bayar tidak boleh melebihi netto.');
			return(false);
		}
		var kurang	= netto - nbayar;		
		$("#txt_kurang").val(kurang);
	}
	
	$("#rekam_pb").click(function(){	
		var kode	 = $("#txt_kode").val();
		var tanggal  = $("#txt_tanggal").val();
		var kodesup  = $("#txt_kodesup").val();
		var namasup	= $("#txt_namasup").val();
		var nomorfk	= $("#txt_nomorfk").val();
		var tanggaljt= $("#txt_tanggaljt").val();
		var total	 = $("#txt_total").val();
		var potong	 = $("#txt_potong").val();
		var bayar	 = $("#txt_bayar").val();
		var kurang	 = $("#txt_kurang").val();
		
		if(kode.length == 0){
           alert("Maaf, Kode pembelian  masih kosong.");
		   return (false);
        }
		if(total.length == 0){
			alert("Maaf, Total pembelian masih kosong.");
			$("#txt_namast").focus();
			return (false);
        }
		if(bayar.length == 0){
			alert("Maaf, Jumlah dibayar tidak boleh kosong.");
			$("#txt_bayar").focus();
			return (false);
        }
		
		$.ajax({
			type	: "POST",
			url		: "modul/pembelian/simpan_pb.php",
			data	: "kode="+kode+
				"&tanggal="+tanggal+
				"&kodesup="+kodesup+
				"&namasup="+namasup+
				"&nomorfk="+nomorfk+
				"&tanggaljt="+tanggaljt+
				"&total="+total+					
				"&potong="+potong+
				"&bayar="+bayar+
				"&kurang="+kurang,
			timeout	: 1500,
			beforeSend	: function(){		
				$("#info").html("<img src='loading.gif' />");			
			},
			success	: function(data){
				$("#info").html(data);
				$("#data_detail").hide();
			}
		});
	});
	
	$("#batal_pb").click(function(){
		var	kode    = $("#txt_kode").val();
		var	total	= $("#txt_total").val();
		
		if(kode.length == 0){
           alert("Maaf, Kode pembelian  masih kosong.");
		   return (false);
        }
		if(total.length == 0){
			alert("Maaf, Total pembelian masih kosong");
			$("#txt_kodest").focus();
			return (false);
        }
		
		var pilih = confirm('Apakah Anda sungguh-sungguh ingin membatalkan input '+kode+' ?');
		if (pilih==true) {
			var	kode= $("#txt_kode").val();			
			$.ajax({
				type	: "POST",
				url		: "modul/pembelian/batal_input.php",
				data	: "kode="+kode,
				success	: function(data){
					$("#info").html(data);
					$(".input_detail").val('');
					$(".input_header").val('');
					$('#data_detail').hide();
				}
			});
		}
	});
	
	$("#tutup").click(function(){		
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#txt_kode {
	background:#CCC;
}
</style>

<?php
echo "<table width='100%'>	
	<tr>
		<td>Kode Transaksi : <input type='text' name='txt_kode' id='txt_kode' size='13' readonly class='input_header'></td>
		<td>Tanggal : <input type='date' name='txt_tanggal' id='txt_tanggal' size='12' class='input_header' ></td>
		<td>No.Faktur : <input type='text' name='txt_nomorfk' id='txt_nomorfk'  size='13' class='input_header'></td>
		<td>Supplier : <input type='text' name='txt_namasup' id='txt_namasup' size='25' class='input_header'>
			<input type='text' name='txt_kodesup' id='txt_kodesup' size='3' class='input_header' readonly /></td>		
		<td>Jatuh Tempo : <input type='date' name='txt_tanggaljt' id='txt_tanggaljt'  size='10' class='input_header' ></td>
	</tr>
	</table>
	<hr>";

echo "<div id='form_input'>
	<table>
		<tr>
			<th>Nama Barang</th>
			<th>Kode</th>
			<th>Satuan</th>
			<th>Jml.Unit</th>
			<th>Harga Beli</th>
			<th>Harga Jual</th>
			<th>Total Harga</th>
			<th></th>
		</tr>
		
		<tr>
			<input type='text' name='txt_nourut' id='txt_nourut' class='input_detail' size='4' hidden/>			
			<td align='center'><input type='text' name='txt_namast' id='txt_namast' class='input_detail' size='25' ></td>
			<td align='center'><input type='text' name='txt_kodest' id='txt_kodest' class='input_detail' size='6' readonly/></td>
			<td align='center'><input type='text' name='txt_satuan' id='txt_satuan' class='input_detail' size='7' readonly/></td>
			<td align='center'><input type='text' name='txt_jmlunit' id='txt_jmlunit' class='input_detail' size='8' maxlength='8'> </td>
			<td align='center'><input type='text' name='txt_hgbeli' id='txt_hgbeli' class='input_detail' size='9'></td>
			<td align='center'><input type='text' name='txt_hgjual' id='txt_hgjual' class='input_detail' size='9'></td>
			<td align='center'><input type='text' name='txt_jumlah' id='txt_jumlah' class='input_detail' size='10' readonly/></td>
			<td align='center'><button name='simpan' id='simpan'>Rekam</button></td>
		</tr>
		</table>
	</div>";

echo "<div id='input_pb'>
	<table width='100%'>
	<tr>		
		<input type='text' name='txt_posting' id='txt_posting' class='input_header' hidden />
		<input type='text' name='txt_netto' id='txt_netto' class='input_header' size='12' hidden/>
		<td>Total : <input type='text' name='txt_total' id='txt_total' class='input_header' size='12' readonly /></td>
		<td>Potongan : <input type='text' name='txt_potong' id='txt_potong' class='input_header' size='12' ></td>
		<td>Dibayar : <input type='text' name='txt_bayar' id='txt_bayar' class='input_header' size='12' ></td>
		<td>Kurang : <input type='text' name='txt_kurang' id='txt_kurang' class='input_header' size='12' readonly /></td>
		<td width='10%'></td>
		<td>
			<button name='rekam_pb' id='rekam_pb'>Rekam Faktur</button>			
			<button name='buat_databr' id='buat_databr'>Buat Data Br</button>
			<button name='batal_pb' id='batal_pb'>Batal</button>
		</td>
	</tr>
	</table>
	</div>";

echo "<div id='data_detail' style='overflow-x: auto;height: 350px;scroll-behavior: smooth'></div>";

echo "<div id='form_cari_sup' title='Pencarian Data Supplier'>
		<table width='100%'>
			<tr>
				<td width='20%'>Cari Supplier</td>
				<td width='2%'>:</td>
				<td><input type='text' name='txt_carisup' id='txt_carisup' size='40'</td>
			</tr>
		</table>
		<div id='info_supplier' align='center' style='overflow-x: auto;height: 400px;scroll-behavior: smooth'></div>
	</div>";

echo "<div id='form_cari_barang' title='Pencarian Barang'>
		<table width='100%'>
			<tr>
				<td width='15%'>Cari Barang</td>
				<td width='2%'>:</td>
				<td><input type='text' name='txt_caribr' id='txt_caribr' size='40'</td>
			</tr>
		</table>
		<div id='info_barang' align='center' style='overflow-x: auto;height: 400px;scroll-behavior: smooth'></div>
	</div>";

echo "<div id='form_buat_kodebr' title='Pembuatan Data Barang Dagangan'>
		<table width='85%'>
			<tr>
				<td width='21%'>Kode Kelompok</td>
				<td>:</td>
				<td><input name='i_kodegr' id='i_kodegr' size='2' maxlength='2' >
					<img src='images/view.png' width='18' height='18' title='Cari kelompok barang' id='cari_gr'></td>
				<td width='2%'></td>
				<td>Nama Kelompok</td>
				<td>:</td>
				<td><input name='i_namagr' id='i_namagr' size='25' readonly />
			</tr>
		</table>
		<hr>
		
		<table>
		<input type='text' name='t_kodest' id='t_kodest' class='input_detail' hidden/>
		<tr>
			<td>Kode Persediaan</td>
			<td>:</td>
			<td><input type='text' name='i_kodest' id='i_kodest' class='input_st' size='6' maxlength='6' readonly /></td>
		</tr>
		<tr>
			<td>Nama Barang</td>
			<td>:</td>
			<td><input type='text' name='i_namast' id='i_namast' class='input_st' size='40' ></td>
		</tr>
		<tr>
			<td>Part Number</td>
			<td>:</td>
			<td><input type='text' name='i_partnum' id='i_partnum' class='input_st' size='40' ></td>
		</tr>
		
		<tr>
			<td>Satuan</td>
			<td>:</td>
			<td><input type='text' name='i_satuan' id='i_satuan' class='input_detail' size='7' ></td>
		</tr>		
		<tr>
			<td>Harga Beli</td>
			<td>:</td>
			<td><input type='text' name='i_hgbeli' id='i_hgbeli' class='input_detail' size='9' ></td>
		</tr>
		<tr>
			<td>Harga Tertinggi</td>
			<td>:</td>
			<td><input type='text' name='i_hgjual' id='i_hgjual' class='input_detail' size='9' ></td>
		</tr>		
		<tr>
			<td>Harga Tengah</td>
			<td>:</td>
			<td><input type='text' name='i_hgjual1' id='i_hgjual1' class='input_detail' size='9' ></td>
		</tr>		
		<tr>
			<td>Harga Terendah</td>
			<td>:</td>
			<td><input type='text' name='i_hgjual2' id='i_hgjual2' class='input_detail' size='9' ></td>
		</tr>
		<tr>
			<td>Stok Minimal</td>
			<td>:</td>
			<td><input type='text' name='i_minstok' id='i_minstok' class='input_detail' size='4' ></td>
		</tr>
	</table>
	
	<table width='100%'
	<tr>
		<td colspan='3' align='center'>	
			<button name='simpan_br' id='simpan_br'>Simpan</button>
		</td>
	</tr>
	</table>
	</div>";
	
echo "<div id='form_cari_gr' title='Pencarian grup'>
		<table width='100%'>
			<td>
				<td width='23%'>Cari Kelompok</td>
				<td width='2%'>:</td>
				<td><input type='text' name='txt_carigr' id='txt_carigr' size='30'</td>
			</td>
		</table>
		<div id='info_gr' align='center' style='overflow-x: auto;height: 400px;scroll-behavior: smooth'></div>
	</div>";

echo "<table width='100%'>
	<tr>
		<td colspan='3' align='center'>
		<button name='mulai' id='mulai'>Input Faktur</button>		
		<button name='tutup' id='tutup'>Tutup</button>
		</td>
	</tr>
	</table>";
?>